Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2020-01-10 21:07:43 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2020-01-10 21:07:43 +0300
commit6f0f893bd87535b61e0ecb1ce069eaa7fcb9e5be (patch)
tree8af92b29c838e9af2fd70f9a4a2314a08f4af922 /scripts
parent8b1228b0d409d7751f01d9fb72ebfbbf62399486 (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/lint-changelog-filenames12
-rwxr-xr-xscripts/static-analysis3
2 files changed, 14 insertions, 1 deletions
diff --git a/scripts/lint-changelog-filenames b/scripts/lint-changelog-filenames
new file mode 100755
index 00000000000..2355ac6f7b2
--- /dev/null
+++ b/scripts/lint-changelog-filenames
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+lint_paths="changelogs/unreleased"
+[ -d "ee/" ] && lint_paths="$lint_paths ee/changelogs/unreleased"
+
+invalid_files=$(find $lint_paths -type f -not -name "*.yml" -not -name ".gitkeep")
+
+if [ -n "$invalid_files" ]; then
+ echo "Changelog files must end in .yml, but these did not:"
+ echo "$invalid_files" | sed -e "s/^/* /"
+ exit 1
+fi
diff --git a/scripts/static-analysis b/scripts/static-analysis
index d2d82c19bed..1f55c035ed1 100755
--- a/scripts/static-analysis
+++ b/scripts/static-analysis
@@ -48,7 +48,8 @@ def jobs_to_run(node_index, node_total)
%w[bundle exec rubocop --parallel],
%w[scripts/lint-conflicts.sh],
%w[scripts/lint-rugged],
- %w[scripts/frontend/check_no_partial_karma_jest.sh]
+ %w[scripts/frontend/check_no_partial_karma_jest.sh],
+ %w[scripts/lint-changelog-filenames]
]
case node_total